Subject: bug#48972: Early guile repl is giving me some GC Warnings

From: Ludovic Courtès <[email-masked]>
Date: Fri, 18 Jun 2021 11:54:06 +0200

Hi,

Joshua Branson via Bug reports for GNU Guix <[email-masked]> skribis:

> My librebooted Thinkpad T400 has been giving me the same GC warning
> for about 2 years now:
>
> GC: Warning: pthread_getattr_np or pthread_attr_getstack failed for
> main thread
> GC Warning: Couldn't read /proc/stat
> Welcome, this is GNU's early boot guile

Those warnings are annoying but harmless.  The second one is because
/proc is not mounted yet at this stage—it’s mounted later by this very
Guile process.  The first one I’m unsure.

We should probably just patch out these two warnings for the static
Guile packages used by the initrd.

Thanks,
Ludo’.